<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">

	<!-- This bean sets up property replacement so that variables can be externalized to system properties -->
	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="systemPropertiesModeName" value="SYSTEM_PROPERTIES_MODE_OVERRIDE"/>
		<property name="locations">
			<list>
				<value>
					classpath:gov/va/med/repositories/fpds/ejb/config/properties/defaultWeblogic.properties
                </value>
			</list>
		</property>
	</bean>
	
	<import resource="classpath:gov/va/med/cds/ejb/config/envSpecificContext.xml"/>
	<import resource="classpath:gov/va/med/repositories/fpds/ejb/config/weblogicContext.xml"/>
	<import resource="classpath:gov/va/med/cds/audit/persistence/persistAuditClobStoreContext.xml"/>
	
</beans>
